# Scanbot Barcode Scanner SDK for Flutter

## Add enterprise-grade barcode scanning to your app in no time
The [Scanbot Flutter Barcode Scanner](https://scanbot.io/developer/flutter-barcode-scanner/) 
plugin enables you to easily implement the Scanbot 
[Barcode Scanner SDK](https://scanbot.io/products/barcode-software/barcode-sdk/) for iOS and Android.

Access the available cameras on the mobile device, choose the interface, configure the settings for the barcodes, 
and let your users easily scan any barcode in your application.

Enterprise-grade scanning and parsing of a large number of different barcode symbologies with any smartphone or tablet.
Read [1D](https://scanbot.io/products/barcode-software/1d-barcode-scanner/) and
[2D barcodes](https://scanbot.io/products/barcode-software/2d-barcode-scanner/),
like [Code 39](https://scanbot.io/products/barcode-software/1d-barcode-scanner/code-39/),
[Code 93](https://scanbot.io/products/barcode-software/1d-barcode-scanner/code-93/),
[Code 128](https://scanbot.io/products/barcode-software/1d-barcode-scanner/code-128/),
[Codabar](https://scanbot.io/products/barcode-software/1d-barcode-scanner/codabar/),
[UPC-A](https://scanbot.io/products/barcode-software/1d-barcode-scanner/upc/),
[UPC-E](https://scanbot.io/products/barcode-software/1d-barcode-scanner/upc/),
[EAN-8](https://scanbot.io/products/barcode-software/1d-barcode-scanner/ean/),
[EAN-13](https://scanbot.io/products/barcode-software/1d-barcode-scanner/ean/),
[ITF](https://scanbot.io/products/barcode-software/1d-barcode-scanner/itf/),
[QR-Code](https://scanbot.io/products/barcode-software/2d-barcode-scanner/qr-code/),
[Aztec](https://scanbot.io/products/barcode-software/2d-barcode-scanner/aztec/),
[PDF-417](https://scanbot.io/products/barcode-software/2d-barcode-scanner/pdf417/),
[Data Matrix](https://scanbot.io/products/barcode-software/2d-barcode-scanner/data-matrix/), etc.

Check out the [demo](https://scanbot.io/trial/demo-app/).


## Documentation & Example App
To integrate this plugin into your application please follow the steps in our documentation and check out our 
[example app](https://github.com/doo/scanbot-barcode-scanner-sdk-example-flutter).


## Changelog
For a detailed list of the changes included in each version, please see the 
[changelog](https://docs.scanbot.io/barcode-scanner-sdk/flutter/changelog/).


## Trial License
The Scanbot SDK will run without a license for one minute per session! To get an unrestricted, "no-strings-attached" 7-day trial license, please submit the [Trial License Form](https://scanbot.io/trial/) on our website. If you need more time to test our SDK, you can also submit our [Proof of Concept Form](https://scanbot.io/trial/poc/) – giving you a free trial period of 30 days.

Please kindly note that a trial license can only be used in a **development and staging environment**. You are **not allowed to publish** your app to the App Store, Play Store or any 3rd party Android App Store with a trial license.


## Free Developer Support
We provide free "no-strings-attached" developer support for the implementation & testing of the Scanbot SDK. If you encounter technical issues with integrating the Scanbot SDK or need advice on choosing the appropriate framework or features, please visit our [Support Page](https://docs.scanbot.io/support/).
